"use strict";
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const queries_1 = require("../../branch/queries");
const EasCommand_1 = tslib_1.__importDefault(require("../../commandUtils/EasCommand"));
const flags_1 = require("../../commandUtils/flags");
const pagination_1 = require("../../commandUtils/pagination");
const json_1 = require("../../utils/json");
class BranchList extends EasCommand_1.default {
    async runAsync() {
        const { flags } = await this.parse(_a);
        const { privateProjectConfig: { projectId }, loggedIn: { graphqlClient }, } = await this.getContextAsync(_a, {
            nonInteractive: flags['non-interactive'],
        });
        const paginatedQueryOptions = (0, pagination_1.getPaginatedQueryOptions)(flags);
        if (paginatedQueryOptions.json) {
            (0, json_1.enableJsonOutput)();
        }
        await (0, queries_1.listAndRenderBranchesOnAppAsync)(graphqlClient, { projectId, paginatedQueryOptions });
    }
}
_a = BranchList;
BranchList.description = 'list all branches';
BranchList.flags = {
    ...pagination_1.EasPaginatedQueryFlags,
    ...flags_1.EasNonInteractiveAndJsonFlags,
};
BranchList.contextDefinition = {
    ..._a.ContextOptions.ProjectConfig,
    ..._a.ContextOptions.LoggedIn,
};
exports.default = BranchList;
