"use strict";
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const core_1 = require("@oclif/core");
const EasCommand_1 = tslib_1.__importDefault(require("../../commandUtils/EasCommand"));
const SelectPlatform_1 = require("../../credentials/manager/SelectPlatform");
class Credentials extends EasCommand_1.default {
    async runAsync() {
        const { flags } = await this.parse(_a);
        const { loggedIn: { actor, graphqlClient }, privateProjectConfig, getDynamicPrivateProjectConfigAsync, analytics, vcsClient, } = await this.getContextAsync(_a, {
            nonInteractive: false,
        });
        await new SelectPlatform_1.SelectPlatform(actor, graphqlClient, vcsClient, analytics, privateProjectConfig ?? null, getDynamicPrivateProjectConfigAsync, flags.platform).runAsync();
    }
}
_a = Credentials;
Credentials.description = 'manage credentials';
Credentials.flags = {
    platform: core_1.Flags.enum({ char: 'p', options: ['android', 'ios'] }),
};
Credentials.contextDefinition = {
    ..._a.ContextOptions.LoggedIn,
    ..._a.ContextOptions.OptionalProjectConfig,
    ..._a.ContextOptions.DynamicProjectConfig,
    ..._a.ContextOptions.Analytics,
    ..._a.ContextOptions.Vcs,
};
exports.default = Credentials;
