"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssignFcm = void 0;
const tslib_1 = require("tslib");
const log_1 = tslib_1.__importDefault(require("../../../log"));
class AssignFcm {
    constructor(app) {
        this.app = app;
    }
    async runAsync(ctx, fcm) {
        const appCredentials = await ctx.android.createOrGetExistingAndroidAppCredentialsWithBuildCredentialsAsync(ctx.graphqlClient, this.app);
        const updatedAppCredentials = await ctx.android.updateAndroidAppCredentialsAsync(ctx.graphqlClient, appCredentials, {
            androidFcmId: fcm.id,
        });
        log_1.default.succeed(`FCM API Key assigned to ${this.app.androidApplicationIdentifier}`);
        return updatedAppCredentials;
    }
}
exports.AssignFcm = AssignFcm;
