"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssignPushKey = void 0;
const tslib_1 = require("tslib");
const AppleTeamUtils_1 = require("./AppleTeamUtils");
const log_1 = tslib_1.__importDefault(require("../../../log"));
class AssignPushKey {
    constructor(app) {
        this.app = app;
    }
    async runAsync(ctx, pushKey) {
        const appleTeam = (await (0, AppleTeamUtils_1.resolveAppleTeamIfAuthenticatedAsync)(ctx, this.app)) ?? pushKey.appleTeam ?? null;
        const appCredentials = await ctx.ios.createOrGetIosAppCredentialsWithCommonFieldsAsync(ctx.graphqlClient, this.app, { appleTeam: appleTeam ?? undefined });
        const updatedAppCredentials = await ctx.ios.updateIosAppCredentialsAsync(ctx.graphqlClient, appCredentials, {
            applePushKeyId: pushKey.id,
        });
        log_1.default.succeed(`Push Key assigned to ${this.app.projectName}: ${this.app.bundleIdentifier}`);
        return updatedAppCredentials;
    }
}
exports.AssignPushKey = AssignPushKey;
