"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateAscApiKey = void 0;
const AscApiKeyUtils_1 = require("./AscApiKeyUtils");
class CreateAscApiKey {
    constructor(account) {
        this.account = account;
    }
    async runAsync(ctx, purpose) {
        if (ctx.nonInteractive) {
            throw new Error(`A new App Store Connect API Key cannot be created in non-interactive mode.`);
        }
        const ascApiKey = await (0, AscApiKeyUtils_1.provideOrGenerateAscApiKeyAsync)(ctx, purpose);
        return await ctx.ios.createAscApiKeyAsync(ctx.graphqlClient, this.account, ascApiKey);
    }
}
exports.CreateAscApiKey = CreateAscApiKey;
