/// <reference types="@expo/apple-utils/ts-declarations/expo__app-store" />
import { App, BundleId } from '@expo/apple-utils';
import { JSONObject } from '@expo/json-file';
import { AuthCtx, UserAuthCtx } from './authenticateTypes';
export interface IosCapabilitiesOptions {
    entitlements: JSONObject;
}
export interface AppLookupParams {
    accountName: string;
    projectName: string;
    bundleIdentifier: string;
}
export declare function ensureBundleIdExistsAsync(authCtx: AuthCtx, { accountName, projectName, bundleIdentifier }: AppLookupParams, options?: IosCapabilitiesOptions): Promise<void>;
export declare function ensureBundleIdExistsWithNameAsync(authCtx: AuthCtx, { name, bundleIdentifier }: {
    name: string;
    bundleIdentifier: string;
}, options?: IosCapabilitiesOptions): Promise<void>;
export declare function syncCapabilitiesAsync(bundleId: BundleId, { entitlements }: IosCapabilitiesOptions): Promise<void>;
export declare function syncCapabilityIdentifiersAsync(bundleId: BundleId, { entitlements }: IosCapabilitiesOptions): Promise<void>;
export declare function ensureAppExistsAsync(userAuthCtx: UserAuthCtx, { name, language, companyName, bundleIdentifier, sku, }: {
    name: string;
    language?: string;
    companyName?: string;
    bundleIdentifier: string;
    sku?: string;
}): Promise<App>;
