export type ActionInfo = {
    value: AndroidActionType | IosActionType;
    title: string;
    scope: Scope;
};
export declare enum Scope {
    Project = 0,
    Manager = 1,
    Account = 2
}
export declare enum AndroidActionType {
    ManageBuildCredentials = 0,
    ManageFcm = 1,
    ManageGoogleServiceAccountKeyForSubmissions = 2,
    ManageGoogleServiceAccount = 3,
    ManageGoogleServiceAccountKeyForFcmV1 = 4,
    ManageCredentialsJson = 5,
    GoBackToCaller = 6,
    GoBackToHighLevelActions = 7,
    CreateKeystore = 8,
    SetDefaultKeystore = 9,
    DownloadKeystore = 10,
    RemoveKeystore = 11,
    CreateFcm = 12,
    RemoveFcm = 13,
    CreateGsaKey = 14,
    UseExistingGsaKeyForSubmissions = 15,
    RemoveGsaKey = 16,
    SetUpGsaKeyForSubmissions = 17,
    CreateGsaKeyForFcmV1 = 18,
    UseExistingGsaKeyForFcmV1 = 19,
    RemoveGsaKeyForFcmV1 = 20,
    SetUpGsaKeyForFcmV1 = 21,
    UpdateCredentialsJson = 22,
    SetUpBuildCredentialsFromCredentialsJson = 23,
    SetUpBuildCredentials = 24
}
export declare enum IosActionType {
    ManageCredentialsJson = 0,
    ManageBuildCredentials = 1,
    ManagePushKey = 2,
    ManageAscApiKey = 3,
    GoBackToCaller = 4,
    GoBackToHighLevelActions = 5,
    SetUpBuildCredentials = 6,
    SetUpBuildCredentialsFromCredentialsJson = 7,
    UpdateCredentialsJson = 8,
    UseExistingDistributionCertificate = 9,
    RemoveProvisioningProfile = 10,
    CreateDistributionCertificate = 11,
    RemoveDistributionCertificate = 12,
    SetUpPushKey = 13,
    CreatePushKey = 14,
    UseExistingPushKey = 15,
    RemovePushKey = 16,
    SetUpAscApiKeyForSubmissions = 17,
    UseExistingAscApiKeyForSubmissions = 18,
    CreateAscApiKeyForSubmissions = 19,
    RemoveAscApiKey = 20
}
