import { AndroidAppBuildCredentialsFragment } from '../../graphql/generated';
import { AppLookupParams } from '../android/api/GraphqlClient';
import { AndroidAppBuildCredentialsMetadataInput } from '../android/api/graphql/mutations/AndroidAppBuildCredentialsMutation';
import { CredentialsContext } from '../context';
export declare enum SelectAndroidBuildCredentialsResultType {
    CREATE_REQUEST = 0,
    EXISTING_CREDENTIALS = 1
}
/**
 * Return a selected Android Build Credential, or a request to make a new one
 */
export declare class SelectAndroidBuildCredentials {
    private app;
    constructor(app: AppLookupParams);
    runAsync(ctx: CredentialsContext): Promise<{
        resultType: SelectAndroidBuildCredentialsResultType.CREATE_REQUEST;
        result: AndroidAppBuildCredentialsMetadataInput;
    } | {
        resultType: SelectAndroidBuildCredentialsResultType.EXISTING_CREDENTIALS;
        result: AndroidAppBuildCredentialsFragment;
    }>;
}
export declare class SelectExistingAndroidBuildCredentials {
    private app;
    constructor(app: AppLookupParams);
    runAsync(ctx: CredentialsContext): Promise<AndroidAppBuildCredentialsFragment | null>;
}
