"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SelectPlatform = void 0;
const ManageAndroid_1 = require("./ManageAndroid");
const ManageIos_1 = require("./ManageIos");
const platform_1 = require("../../platform");
class SelectPlatform {
    constructor(actor, graphqlClient, vcsClient, analytics, projectInfo, getDynamicPrivateProjectConfigAsync, flagPlatform) {
        this.actor = actor;
        this.graphqlClient = graphqlClient;
        this.vcsClient = vcsClient;
        this.analytics = analytics;
        this.projectInfo = projectInfo;
        this.getDynamicPrivateProjectConfigAsync = getDynamicPrivateProjectConfigAsync;
        this.flagPlatform = flagPlatform;
    }
    async runAsync() {
        const platform = await (0, platform_1.selectPlatformAsync)(this.flagPlatform);
        if (platform === 'ios') {
            return await new ManageIos_1.ManageIos(this, process.cwd()).runAsync();
        }
        return await new ManageAndroid_1.ManageAndroid(this, process.cwd()).runAsync();
    }
}
exports.SelectPlatform = SelectPlatform;
