/// <reference types="@expo/apple-utils/ts-declarations/expo__app-store" />
import type { AgeRatingDeclarationProps } from '@expo/apple-utils';
export type AppleLocale = string;
export interface AppleMetadata {
    version?: string;
    copyright?: string;
    info?: Record<AppleLocale, AppleInfo>;
    categories?: AppleCategory;
    release?: AppleRelease;
    advisory?: AppleAdvisory;
    preview?: Record<string, string[]>;
    review?: AppleReview;
}
export type AppleAdvisory = Partial<AgeRatingDeclarationProps>;
/** Apps can define up to two categories, or categories with up to two subcategories */
export type AppleCategory = (string | string[])[];
export interface AppleRelease {
    automaticRelease?: boolean | string;
    phasedRelease?: boolean;
}
export interface AppleInfo {
    title: string;
    subtitle?: string;
    /** Does not effect ASO https://developer-mdn.apple.com/app-store/product-page/ */
    promoText?: string;
    description?: string;
    keywords?: string[];
    releaseNotes?: string;
    marketingUrl?: string;
    privacyPolicyUrl?: string;
    privacyPolicyText?: string;
    privacyChoicesUrl?: string;
    supportUrl?: string;
}
export interface AppleReview {
    firstName: string;
    lastName: string;
    phone: string;
    email: string;
    demoUsername?: string;
    demoPassword?: string;
    demoRequired?: boolean;
    notes?: string;
}
