export declare function getRootPath(): string;
/**
 * Ignore wraps the 'ignore' package to support multiple .gitignore files
 * in subdirectories.
 *
 * Inconsistencies with git behavior:
 * - if parent .gitignore has ignore rule and child has exception to that rule,
 *   file will still be ignored,
 * - node_modules is always ignored,
 * - if .easignore exists, .gitignore files are not used.
 */
export declare class Ignore {
    private rootDir;
    private ignoreMapping;
    constructor(rootDir: string);
    initIgnoreAsync(): Promise<void>;
    ignores(relativePath: string): boolean;
}
export declare function makeShallowCopyAsync(src: string, dst: string): Promise<void>;
